%define major     0
%define libname   %mklibname cuefile %{major}
%define develname %mklibname cuefile -d

%define svn_version r475

Name:		libcuefile
Version:	0
Release:	%mkrel -c %{svn_version} 3
Summary:	Library for Working With Cue Sheet (cue) and Table Of Contents (toc) Files
License:	GPL-2.0-only
Group:		System/Libraries
Url:		https://www.musepack.net/
Source0:	https://files.musepack.net/source/%{name}_%{svn_version}.tar.gz
Patch0:		mathmeaning.patch
Patch1:		libcuefile-fedora-c99.patch
Patch2:		libcuefile-cmake-4.0.patch
BuildRequires:	cmake

%description
libcuefile is a library for working with Cue Sheet (cue) and
Table of Contents (toc) files.

%package -n %{libname}
Summary:	Library for Working With Cue Sheet (cue) and Table Of Contents (toc) Files
Group:		System/Libraries

%description -n %{libname}
libcuefile is a library for working with Cue Sheet (cue) and
Table of Contents (toc) files.

%package -n %{develname}
Summary:	Header files and static libraries from %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	cuefile-devel = %{version}-%{release}

%description -n %{develname}
Libraries and includes files for developing programs based on %{name}.

%prep
%autosetup -p1 -n %{name}_%{svn_version}

# Fix rpmlint error "spurious-executable-perm"
chmod 644 AUTHORS COPYING README
chmod 644 include/cuetools/*.h

%build
%cmake
%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}%{_includedir}
cp -a include/cuetools/ %{buildroot}%{_includedir}

#we don't want these
find %{buildroot} -name "*.a" -delete

%files -n %{libname}
%license COPYING
%doc AUTHORS README
%{_libdir}/libcuefile.so.%{major}{,.*}

%files -n %{develname}
%license COPYING
%doc AUTHORS README
%{_includedir}/cuetools/
%{_libdir}/libcuefile.so


%changelog
* Fri Jun 27 2025 daviddavid <daviddavid> 0-0.r475.3.mga10
+ Revision: 2206522
- fix build with cmake 4.0

* Thu Apr 04 2024 daviddavid <daviddavid> 0-0.r475.2.mga10
+ Revision: 2054359
- add fedora patch to fix build with GCC14

* Thu Mar 30 2023 daviddavid <daviddavid> 0-0.r475.1.mga9
+ Revision: 1950835
- initial package libcuefile

